<?php
/**
 * @copyright	Copyright (C) 2011 Simplify Your Web, Inc. All rights reserved.
 * @license		GNU General Public License version 3 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Plugin\PluginHelper;
use Joomla\CMS\Uri\Uri;

HTMLHelper::_('bootstrap.tooltip');

HTMLHelper::_('stylesheet', 'syw/fonts-min.css', ['version' => 'auto', 'relative' => true]);

$login_url = 'https://simplifyyourweb.com/login';

$extension_url = 'https://simplifyyourweb.com/downloads/weblink-logos-pro';
$changelog_url = 'https://simplifyyourweb.com/downloads/weblink-logos-pro/file/366-weblink-logos-pro';
$update_instructions_url = 'https://simplifyyourweb.com/documentation/weblink-logos/installation/updating-older-versions';
$jed_url = 'http://extensions.joomla.org/extensions/extension/directory-a-documentation/weblinks/weblink-logos-pro';
$quickstart_url = 'https://simplifyyourweb.com/documentation/weblink-logos/quickstart-guide';
$documentation_url = 'https://simplifyyourweb.com/documentation/weblink-logos';
$forum_url = 'https://simplifyyourweb.com/forum/weblink-logos-pro';
$support_url = 'https://simplifyyourweb.com/support';
$translate_url = 'https://simplifyyourweb.com/translators';

$license_url = 'https://www.gnu.org/licenses/gpl-3.0.html';

$new_version_message = '';
if ($this->version_array !== false && version_compare($this->extension_version, $this->version_array['latest'], 'lt')) {
    if ($this->license_is_valid) {
        $new_version_message = Text::sprintf('COM_WEBLINKLOGOSPRO_INFO_NEWINSTALLABLEUPDATEAVAILABLE', $this->version_array['latest']);
        //$new_version_message .= '<br /><a class="btn btn-small" href="index.php?option=com_installer&view=update">'.Text::_('COM_JQUERYEASYPROFILES_INFO_INSTALLUPDATE').'</a>';
    } else {
        $new_version_message = Text::sprintf('COM_WEBLINKLOGOSPRO_INFO_NEWVERSIONAVAILABLE', $this->version_array['latest']);
        //$new_version_message .= '<br /><a class="btn btn-small btn-link" href="'.$extension_url.'">'.Text::_('COM_JQUERYEASYPROFILES_INFO_DOWNLOAD').'</a>';
    }
    //JFactory::getApplication()->enqueueMessage($new_version_message, 'warning');
}
?>

<?php if (!empty($this->sidebar)) : ?>
	<div id="j-sidebar-container" class="span2">
		<?php echo $this->sidebar; ?>
	</div>
	<div id="j-main-container" class="span10">
<?php else : ?>
	<div id="j-main-container">
<?php endif;?>
	<div class="row-fluid">
		<div class="span12">
			<div class="row-fluid form-horizontal-desktop">
				<div class="span8">
					<fieldset>
						<legend><?php echo Text::_('COM_WEBLINKLOGOSPRO'); ?></legend>
						<p><img src="<?php echo Uri::root(true) ?>/administrator/components/com_weblinklogospro/assets/images/logo.png" /></p>
					</fieldset>

					<fieldset>
						<legend><?php echo Text::_('COM_WEBLINKLOGOSPRO_INFO_HELP'); ?></legend>
    					<div class="icons">
                    		<?php echo $this->getIcon($quickstart_url, 'SYWicon-timer', Text::_ ('COM_WEBLINKLOGOSPRO_INFO_QUICKSTART'), '_blank'); ?>
                    		<?php echo $this->getIcon($documentation_url, 'SYWicon-local-library', Text::_ ('COM_WEBLINKLOGOSPRO_INFO_ONLINEDOC'), '_blank'); ?>
                    		<?php echo $this->getIcon($forum_url, 'SYWicon-chat', Text::_ ('COM_WEBLINKLOGOSPRO_INFO_HELPINFORUM'), '_blank'); ?>
                    		<?php echo $this->getIcon($support_url, 'SYWicon-lifebuoy', Text::_ ('COM_WEBLINKLOGOSPRO_INFO_SUPPORT'), '_blank'); ?>
    					</div>
    				</fieldset>

					<fieldset>
						<legend><?php echo Text::_('COM_WEBLINKLOGOSPRO_INFO_PLUGINS'); ?></legend>
						<table class="table table-striped">
							<tbody>
								<tr>
									<td><?php echo Text::_('COM_WEBLINKLOGOSPRO_PLG_QUICKICON_WEBLINKLOGOSPRO'); ?></td>
									<?php if (PluginHelper::isEnabled('quickicon', 'weblinklogospro')) : ?>
										<td><span class="icon-publish"></span></td>
										<td><a class="btn btn-small hasTooltip" href="index.php?option=com_plugins&view=plugins&filter_folder=quickicon&filter_element=weblinklogospro&filter_enabled=1"><?php echo Text::_('JLIB_HTML_UNPUBLISH_ITEM'); ?></a></td>
									<?php else : ?>
										<td><span class="icon-unpublish"></span></td>
										<td><a class="btn btn-small hasTooltip" href="index.php?option=com_plugins&view=plugins&filter_folder=quickicon&filter_element=weblinklogospro&filter_enabled=0"><?php echo Text::_('JLIB_HTML_PUBLISH_ITEM'); ?></a></td>
									<?php endif; ?>
								</tr>
								<tr>
									<td><?php echo Text::_('COM_WEBLINKLOGOSPRO_PLG_INSTALLER_WLPINSTALLER'); ?></td>
									<?php if (PluginHelper::isEnabled('installer', 'wlpinstaller')) : ?>
										<td><span class="icon-publish"></span></td>
										<td><a class="btn btn-small hasTooltip" href="index.php?option=com_plugins&view=plugins&filter_folder=installer&filter_element=wlpinstaller&filter_enabled=1"><?php echo Text::_('JLIB_HTML_UNPUBLISH_ITEM'); ?></a></td>
									<?php else : ?>
										<td><span class="icon-unpublish"></span></td>
										<td><a class="btn btn-small hasTooltip" href="index.php?option=com_plugins&view=plugins&filter_folder=installer&filter_element=wlpinstaller&filter_enabled=0"><?php echo Text::_('JLIB_HTML_PUBLISH_ITEM'); ?></a></td>
									<?php endif; ?>
								</tr>
							</tbody>
						</table>
					</fieldset>
				</div>
				<div class="span4">
					<fieldset>
						<legend><?php echo Text::sprintf('COM_WEBLINKLOGOSPRO_INFO_VERSION', $this->extension_version); ?></legend>

						<?php if ($new_version_message) : ?>
							<div class="alert alert-warning"><?php echo $new_version_message; ?></div>
						<?php endif; ?>

						<table class="table table-striped">
							<tbody>
								<tr>
									<td><?php echo Text::_('COM_WEBLINKLOGOSPRO_INFO_LATESTVERSION'); ?></td>
									<?php if ($this->version_array === false) : ?>
										<td><?php echo Text::_('COM_WEBLINKLOGOSPRO_INFO_UNKNOWNLATESTVERSION'); ?></td>
									<?php else : ?>
										<td>
											<?php if (version_compare($this->extension_version, $this->version_array['latest'], 'lt')) : ?>
												<?php echo $this->version_array['latest']; ?>
											<?php else : ?>
												<?php echo $this->extension_version; ?>
											<?php endif; ?>
											<a class="btn btn-small btn-link" href="<?php echo $changelog_url; ?>" target="_blank"><?php echo Text::_('COM_WEBLINKLOGOSPRO_INFO_CHANGELOG'); ?></a>
											&nbsp;<a class="btn btn-small btn-link" href="<?php echo $update_instructions_url; ?>" target="_blank"><?php echo Text::_('COM_WEBLINKLOGOSPRO_INFO_UPDATEINSTRUCTIONS'); ?></a>
											<?php if (version_compare($this->extension_version, $this->version_array['latest'], 'lt')) : ?>
												<?php if ($this->license_is_valid) : ?>
													<a class="btn btn-small" href="index.php?option=com_installer&view=update"><?php echo Text::_('COM_WEBLINKLOGOSPRO_INFO_INSTALLUPDATE'); ?></a>
												<?php else : ?>
													<a class="btn btn-small btn-link" href="<?php echo $extension_url; ?>" target="_blank"><?php echo Text::_('COM_WEBLINKLOGOSPRO_INFO_DOWNLOAD'); ?></a>
												<?php endif; ?>
											<?php endif; ?>
										</td>
									<?php endif; ?>
								</tr>
								<?php if ($this->version_array !== false && $this->version_array['relevance'] && version_compare($this->extension_version, $this->version_array['latest'], 'lt')) : ?>
    								<tr>
    									<td><?php echo Text::_('COM_WEBLINKLOGOSPRO_INFO_LATESTVERSIONNOTABLE'); ?></td>
    									<td><?php echo $this->version_array['relevance']; ?></td>
    								</tr>
    							<?php endif; ?>
								<tr>
									<td><?php echo Text::_('COM_WEBLINKLOGOSPRO_INFO_DOWNLOADID'); ?></td>
									<?php if (empty($this->license_array['download_id'])) : ?>
										<td>
											<a class="btn btn-small btn-link" href="<?php echo $login_url; ?>" target="_blank"><?php echo Text::_('COM_WEBLINKLOGOSPRO_INFO_GETDOWNLOADID'); ?></a>
											<a class="btn btn-small" href="index.php?option=com_plugins&view=plugins&filter_folder=installer"><?php echo Text::_('COM_WEBLINKLOGOSPRO_INFO_ENTERDOWNLOADID'); ?></a>
										</td>
									<?php else : ?>
										<?php if (!empty($this->license_array['expiration_date']) && strtotime('now') >= strtotime($this->license_array['expiration_date'])) : ?>
											<td>
												<span class="icon-unpublish"></span>
												<a class="btn btn-small" href="index.php?option=com_plugins&view=plugins&filter_folder=installer"><?php echo Text::_('COM_WEBLINKLOGOSPRO_INFO_REENTERDOWNLOADID'); ?></a>
											</td>
										<?php else : ?>
											<td><span class="icon-publish"></span></td>
										<?php endif; ?>
									<?php endif; ?>
								</tr>
								<?php if (!empty($this->license_array['download_id'])) : ?>
    								<tr>
    									<td><?php echo Text::_('COM_WEBLINKLOGOSPRO_INFO_LICENSEEXPIRATIONDATE'); ?></td>
    									<?php if (!isset($this->license_array['enabled'])) : ?>
    										<td><?php echo Text::_('COM_WEBLINKLOGOSPRO_INFO_UNKNOWNLICENSESTATUS'); ?></td>
    									<?php elseif ($this->license_array['enabled'] == 0) : ?>
    										<td><?php echo Text::_('COM_WEBLINKLOGOSPRO_INFO_DISABLEDLICENSE'); ?></td>
    									<?php else : ?>
        									<?php if (empty($this->license_array['expiration_date'])) : ?>
        										<td><?php echo Text::_('COM_WEBLINKLOGOSPRO_INFO_LICENSENEVEREXPIRES'); ?></td>
        									<?php else : ?>
            									<?php if (strtotime('now') >= strtotime($this->license_array['expiration_date'])) : ?>
            										<td>
            											<?php echo Text::_('COM_WEBLINKLOGOSPRO_INFO_EXPIREDLICENSE'); ?>
            											<a class="btn btn-small btn-link" href="<?php echo $login_url; ?>" target="_blank"><?php echo Text::_('COM_WEBLINKLOGOSPRO_INFO_BUYLICENSEAGAIN'); ?></a>
            										</td>
            									<?php else : ?>
        											<td>
        												<?php echo date(Text::_('DATE_FORMAT_LC3'), strtotime($this->license_array['expiration_date'])); ?>
        												<?php if ((strtotime($this->license_array['expiration_date']) - strtotime('now')) < (60 * 60 * 24 * 120)) : ?>
        													<a class="btn btn-small btn-link" href="<?php echo $login_url; ?>" target="_blank"><?php echo Text::_('COM_WEBLINKLOGOSPRO_INFO_RENEWLICENSE'); ?></a>
        												<?php endif; ?>
        											</td>
        										<?php endif; ?>
        									<?php endif; ?>
        								<?php endif; ?>
    								</tr>
    							<?php endif; ?>
							</tbody>
						</table>
					</fieldset>

					<fieldset>
						<legend><?php echo Text::_('COM_WEBLINKLOGOSPRO_INFO_CREDITS'); ?></legend>
						<table class="table table-striped">
							<tbody>
								<tr>
									<td><?php echo Text::_('COM_WEBLINKLOGOSPRO_INFO_LICENSE'); ?></td>
									<td><a href="<?php echo $license_url; ?>" target="_blank">GNU General Public License v3</a></td>
								</tr>
								<tr>
									<td><?php echo Text::_('COM_WEBLINKLOGOSPRO_INFO_AUTHOR'); ?></td>
									<td>Olivier Buisard</td>
								</tr>
								<?php if (!empty(Text::_('COM_WEBLINKLOGOSPRO_INFO_LANGUAGETHANKS'))) : ?>
    								<tr>
    									<td><?php echo Text::_('COM_WEBLINKLOGOSPRO_INFO_TRANSLATIONS'); ?></td>
    									<td><?php echo Text::_('COM_WEBLINKLOGOSPRO_INFO_LANGUAGETHANKS'); ?></td>
    								</tr>
								<?php endif; ?>
							</tbody>
						</table>
					</fieldset>

					<fieldset>
						<legend><?php echo Text::_('COM_WEBLINKLOGOSPRO_INFO_CONNECT'); ?></legend>
						<a class="label hasTooltip" style="background-color: #02b0e8; padding: 4px 8px; margin: 3px;" title="@simplifyyourweb" href="https://twitter.com/simplifyyourweb" target="_blank"><svg xmlns="http://www.w3.org/2000/svg" height="1em" viewbox="0 0 512 512" aria-hidden="true"><path fill="currentColor" d="M389.2 48h70.6L305.6 224.2 487 464H345L233.7 318.6 106.5 464H35.8L200.7 275.5 26.8 48H172.4L272.9 180.9 389.2 48zM364.4 421.8h39.1L151.1 88h-42L364.4 421.8z"></path></svg> X-Twitter</a>
						<a class="label hasTooltip" style="background-color: #43609c; padding: 4px 8px; margin: 3px;" title="simplifyyourweb" href="https://www.facebook.com/simplifyyourweb" target="_blank"><i class="SYWicon-facebook" aria-hidden="true">&nbsp;</i>Facebook</a>
						<a class="label" style="background-color: #ff8f00; padding: 4px 8px; margin: 3px 3px 18px 3px;" href="https://simplifyyourweb.com/latest-news?format=feed&amp;type=rss" target="_blank"><i class="SYWicon-rss" aria-hidden="true">&nbsp;</i>News feed</a>
					</fieldset>

					<fieldset>
						<legend><?php echo Text::_('COM_WEBLINKLOGOSPRO_INFO_GETINVOLVED'); ?></legend>
						<i class="SYWicon-language2"></i> <a href="<?php echo $translate_url; ?>" target="_blank"><?php echo Text::_('COM_WEBLINKLOGOSPRO_INFO_TRANSLATE'); ?></a>
					</fieldset>
				</div>
			</div>
		</div>
	</div>
</div>
<div class="span12 copyrightblock">
	<p><?php echo Text::_('COM_WEBLINKLOGOSPRO'); ?> <?php echo Text::sprintf('COM_WEBLINKLOGOSPRO_INFO_VERSION', $this->extension_version); ?></p>
	<p><?php echo Text::sprintf('COM_WEBLINKLOGOSPRO_POSTAREVIEW', $jed_url); ?> <i class="SYWicon-star" style="font-size: 1.1em; color: #f7c41f; vertical-align: middle"></i><i class="SYWicon-star" style="font-size: 1.1em; color: #f7c41f; vertical-align: middle"></i><i class="SYWicon-star" style="font-size: 1.1em; color: #f7c41f; vertical-align: middle"></i><i class="SYWicon-star" style="font-size: 1.1em; color: #f7c41f; vertical-align: middle"></i><i class="SYWicon-star" style="font-size: 1.1em; color: #f7c41f; vertical-align: middle"></i></p>
	<p class="copyright"><img src="<?php echo Uri::root(true) ?>/administrator/components/com_weblinklogospro/assets/images/simplifyyourweb.png" alt="Simplify Your Web" /><br />Copyright &copy; 2011-<?php echo date("Y"); ?> <a href="https://simplifyyourweb.com" target="_blank">Simplify Your Web</a>. All rights reserved.</p>
</div>