<?php
/**
 * @copyright	Copyright (C) 2011 Simplify Your Web, Inc. All rights reserved.
 * @license		GNU General Public License version 3 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\Language\Text;
use Joomla\CMS\MVC\View\HtmlView;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Http\Http;

/**
 * Weblink Logos Pro Info View
 */
class WeblinklogosproViewInfo extends HtmlView
{
	/**
	 * display method of view
	 * @return void
	 */
	function display($tpl = null)
	{
		// Check for errors.
		if (count($errors = $this->get('Errors'))) {
			Factory::getApplication()->enqueueMessage(Text::_('JERROR_AN_ERROR_HAS_OCCURRED'), 'error');
			return false;
		}

		$HTTPClient = new Http();

		// installed extension version

		$this->extension_version = strval(simplexml_load_file(JPATH_ADMINISTRATOR . '/components/com_weblinklogospro/weblinklogospro.xml')->version);

		// available version

		$model = $this->getModel('info');
		$model->setState('option', 'com_weblinklogospro');
		$this->version_array = $model->getUpdates($HTTPClient);

		// license information

		$this->license_array = $model->getLicenseState($HTTPClient);

		$this->license_is_valid = (!empty($this->license_array['download_id']) && isset($this->license_array['enabled']) && $this->license_array['enabled'] && isset($this->license_array['expiration_date']) && ($this->license_array['expiration_date'] == '' || strtotime('now') < strtotime($this->license_array['expiration_date']))) ? true: false;

		$this->setDocument();

		$this->addToolbar();

		$this->sidebar = JHtmlSidebar::render();

		parent::display($tpl);
	}

	protected function getIcon($link, $image, $text, $target = '', $title = '')
	{
	    $lang = Factory::getLanguage();
	    $float = ($lang->isRTL()) ? 'right' : 'left';

	    if ($target) {
	        $target = ' target="'.$target.'"';
	    }

	    $hastooltip = '';
	    if ($title) {
	        $title = ' title="'.$title.'"';
	        $hastooltip = ' hasTooltip';
	    }

	    $html = '<div class="icon" style="float: '.$float.'">';
	    $html .= '<a class="task'.$hastooltip.'" href="'.$link.'"'.$title.$target.'>';
	    $html .= '<i class="'.$image.'"></i>';
	    $html .= '<span>'.$text.'</span>';
	    $html .= '</a>';
	    $html .= '</div>';

	    return $html;
	}

	/**
	 * Setting the toolbar
	 */
	protected function addToolbar()
	{
		JToolBarHelper::title(Text::_('COM_WEBLINKLOGOSPRO_INFO'), 'none SYWicon-info');

		if (Factory::getUser()->authorise('core.admin', 'com_weblinklogospro')) {
		    JToolBarHelper::preferences('com_weblinklogospro');
		}

		JToolBarHelper::help(null, false, 'https://simplifyyourweb.com/documentation/weblink-logos');
	}

	/**
	 * Method to set up the document properties
	 *
	 * @return void
	 */
	protected function setDocument()
	{
// 		$document = Factory::getDocument();
// 		$document->addStyleSheet(Uri::base(true).'/components/com_weblinklogospro/assets/css/styles.css');
		HTMLHelper::_('stylesheet', 'administrator/components/com_weblinklogospro/assets/css/styles.css', array('relative' => false, 'version' => 'auto'));
	}
}
?>
