<?php
/**
 * @copyright	Copyright (C) 2011 Simplify Your Web, Inc. All rights reserved.
 * @license		GNU General Public License version 3 or later; see LICENSE.txt
 */

// No direct access
defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\MVC\Controller\BaseController;

/**
 * Class WeblinklogosproController
 */
class WeblinklogosproController extends BaseController
{
	/**
	 * Method to display a view
	 *
	 * @param   boolean $cachable  If true, the view output will be cached
	 * @param   mixed   $urlparams An array of safe url parameters and their variable types, for valid values see {@link JFilterInput::clean()}.
	 *
	 * @return  JController   This object to support chaining
	 */
	public function display($cachable = false, $urlparams = false)
	{
	    $vName = $this->input->getCmd('view', 'directory');
	    $this->input->set('view', $vName);
	    
	    if (Factory::getUser()->get('id')) {
	        $cachable = false;
	    }

		$safeurlparams = array(
		    'catid'=>'INT', // ok
		    'id'=>'INT', // ok
		    
		    'category'=>'INT', // ok
		    'tag'=>'INT', // ok
		    
		    'anchor'=>'STRING', // ok
		    		    
		    'limit'=>'UINT', // ok
		    'limitstart'=>'UINT', // ok
		    
		    'return'=>'BASE64', // ok return page after form submission

		    'filter_order'=>'CMD',
		    'filter_order_Dir'=>'CMD',
		    'filter-search'=>'STRING', // ok
		    'filter-match'=>'STRING', // ok
		    
		    'print'=>'BOOLEAN', // ok		    
		    'lang'=>'CMD', // ok
		    'Itemid' => 'INT' // ok makes sure that when cached, menu items are different from each other
		);
		    
		parent::display($cachable, $safeurlparams);

		return $this;
	}
}
