<?php
/**
 * @copyright	Copyright (C) 2011 Simplify Your Web, Inc. All rights reserved.
 * @license		GNU General Public License version 3 or later; see LICENSE.txt
 */

// No direct access
defined('_JEXEC') or die;

\JLoader::register('WeblinklogosproHelpersWeblinklogospro', JPATH_BASE . '/components/com_weblinklogospro/helpers/weblinklogospro.php');

/**
 * Build the route for the com_weblinklogospro component
 *
 * @param   array  &$query  An array of URL arguments
 * @return  array  The URL arguments to use to assemble the subsequent URL.
 */
function WeblinklogosproBuildRoute(&$query)
{
	$segments = array();
	$view     = null;

	if (isset($query['task']))
	{
		$taskParts  = explode('.', $query['task']);
		$segments[] = implode('/', $taskParts);
		$view       = $taskParts[0];
		unset($query['task']);
	}

	if (isset($query['view']))
	{
		$segments[] = $query['view'];
		$view = $query['view'];

		unset($query['view']);
	}

	if (isset($query['id']))
	{
		$segments[] = $query['id'];

		unset($query['id']);
	}

	return $segments;
}

/**
 * Parse the segments of a URL.
 *
 * @param   array  &$segments  The segments of the URL to parse.
 * @return  array  The URL attributes to be used by the application.
 */
function WeblinklogosproParseRoute($segments)
{
	$vars = array();

	// View is always the first element of the array
	$vars['view'] = array_shift($segments);
	$model = WeblinklogosproHelpersWeblinklogospro::getModel($vars['view']);

	while (!empty($segments))
	{
		$segment = array_pop($segments);

		// If it's the ID, let's put on the request
		if (is_numeric($segment))
		{
			$vars['id'] = $segment;
		}
		else
		{
			$vars['task'] = $vars['view'] . '.' . $segment;
		}
	}

	return $vars;
}
